tagtbl.c File Reference
`#include "system.h"`
`#include <rpmtag.h>`
`#include "debug.h"`
Include dependency graph for tagtbl.c:

Go to the source code of this file.

## Macros

#define | _RPMTAG_INTERNAL

## Variables

static struct headerTagTableEntry_s | _rpmTagTable []
headerTagTableEntry | rpmTagTable = _rpmTagTable
| Automatically generated table of tag name/value pairs. More...
int | rpmTagTableSize = sizeof(_rpmTagTable) / sizeof(_rpmTagTable[0]) - 1
| Number of entries in rpmTagTable. More...

## Macro Definition Documentation

#define _RPMTAG_INTERNAL

Definition at line 2 of file tagtbl.c.

## Variable Documentation

struct headerTagTableEntry_s _rpmTagTable[]

static

Definition at line 9 of file tagtbl.c.

headerTagTableEntry rpmTagTable = _rpmTagTable

Automatically generated table of tag name/value pairs.

Definition at line 233 of file tagtbl.c.

Referenced by addRpmTags(), headerSprintf(), myTagName(), myTagValue(), rpmDisplayQueryTags(), rpmpsmStage(), and tagLoadIndex().

int rpmTagTableSize = sizeof(_rpmTagTable) / sizeof(_rpmTagTable[0]) - 1

Number of entries in rpmTagTable.

Definition at line 236 of file tagtbl.c.

Referenced by tagLoadIndex().